osl::FixedCapacityVector< T, Capacity >::Array Struct Reference

`#include <container.h>`

Inheritance diagram for osl::FixedCapacityVector< T, Capacity >::Array:

## Additional Inherited Members

Public Types inherited from osl::CArray< T, Capacity >
typedef std::remove_cv< T >::type | T_simple
typedef T | value_type
typedef std::array< T, Capacity >::iterator | iterator
typedef std::array< T, Capacity >::const_iterator | const_iterator
Public Member Functions inherited from osl::CArray< T, Capacity >
T & | operator[] (size_t i)
T const & | operator[] (size_t i) const
T & | operator[] (Player p)
const T & | operator[] (Player p) const
T & | operator[] (PtypeO ptypeo)
const T & | operator[] (PtypeO ptypeo) const
iterator | begin ()
iterator | end ()
void | fill (const T_simple &value=T_simple())
template<class T2, class = typename std::enable_if<!std::is_convertible<T2,T_simple>::value>::type>
void | fill (const T2 &value=T2())
const_iterator | begin () const
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
bool | operator== (const CArray &other) const
T & | front ()
T & | back ()
const T & | front () const
const T & | back () const
Static Public Member Functions inherited from osl::CArray< T, Capacity >
static size_t | size ()
Public Attributes inherited from osl::CArray< T, Capacity >
std::array< T, Capacity > | array

## Detailed Description

template<typename T, size_t Capacity>
struct osl::FixedCapacityVector< T, Capacity >::Array

Definition at line 139 of file container.h.

The documentation for this struct was generated from the following file:

- container.h